Newsgroups: comp.mail.elm,comp.answers,news.answers

Path:
aurora.LaTech.edu!darwin.sura.net!haven.umd.edu!uunet!pipex!zaphod.crihan.fr!univ-lyon1.fr!ghost.dsi.unimi.it!ghost.dsi.unimi.it!serini

From: [email-masked] (Piero Serini)

Subject: Elm Mail User Agent FAQ - monthly posting

Followup-To: poster

Approved: [email-masked]

Sender: [email-masked] (Piero Serini)

Organization: Computer Science Dep. - Milan University

Date: Fri, 19 Mar 1993 00:27:46 GMT

Message-ID: <[email-masked]>

Summary: This posting contains a list of Frequently Asked

         Questions (and their answers) about the Elm Mail

	 User  Agent.  It  should  be read by  anyone who

	 wishes to post to the comp.mail.elm newsgroup.

Expires: Thu, 15 Apr 1993 00:00:00 GMT

Reply-To: [email-masked]

Lines: 750

Xref: aurora.LaTech.edu comp.mail.elm:9643 comp.answers:289 news.answers:6750

Archive-name: elm/FAQ

Last-modified: 1992/3/15

Version: 1.0

                        Frequently Asked Questions

                                Elm 2.4 [21]

                                Piero Serini

                         [email-masked]

                       [email-masked]

                           Last Update: 15 Mar 93

                          This FAQ's version:  1.0

This is an unofficial Frequently Asked Questions (with answers) list

about Elm. Syd Weinstein kindly checked this, but he is not responsible

for the errors in the answers, which are my fault, unless otherwise

specified.  I do NOT claim to be a member of the Elm Development Group.

0.0     Organization

	As this is the first time I write a FAQ list, I copied the

        organization from the 386BSD FAQ by Terry Lambert, and I

        slightly modified it to suit Elm needs.

        Thank you, Terry.

	This FAQ is posted monthly, the 15th, on news.answers,

	comp.answers and comp.mail.elm.

	It is available by anonymous ftp from ghost.dsi.unimi.it

	[149.132.2.1]: ~ftp/pub.

	It is also available upon mail request.

	This FAQ is NOT reposted if modified, until the next issue

	date. I will modify the ftp file only.  I suggest using ftp

	to get the latest version of this document.

	This FAQ refers to latest patchlevel I put my hands on.

	Questions about a specific patchlevel are kept if

	of common interest.

        This FAQ consists of three parts:

        0.*     Organization.

        1.*     Reserved for future use.

        2.*     Questions list (with accompanying  answers).

	3.*	Bugs list.

        4.*     Archivers, what they archive, how to download.

1.0	Reserved for future use

2.0     Questions list

        Here is an (incomplete) questions list, followed by an (incomplete)

        answers part. Please, mail me any comment, suggestion, correction

        to any of the addresses above, with Subject: Elm-FAQ

        Answers are from the "Elm montly posting" or from comp.mail.elm

        and proper credit is given before each answer.

        Numbering has been added to the questions list to aid in

        finding things. 

	2.01	What is Elm?

	2.02	Which is Elm current version?

	2.03	Where can I find the distribution?

	2.04	Where do I get the "Elm Reference Guide" and the other
docs ?

	2.05    How to get frm(1L) to only show new mail?

	2.06    My incoming mailbox isn't /usr/mail/<logname>:

	2.07    How do I save a message without deleting it?

	2.08	How do I append a .signature?

	2.09    Why do I get the remote signature on replies to local mail?

	2.10	How can I get elm to NOT expand the alias list on outgoing msgs?

	2.11	How does one mark a message as urgent?

	2.12    How can I get a line like "Quoting foo:" before a
replied-to mail?

	2.13	When I receive uudecoded files, can I tag files in the order

	2.14    Is there any way to bounce all the tagged messages, i.e.

	2.15    Does ELM have MIME (metamail) support?

	2.16    How not to include headers in outward bound mail?

	2.17    Is it possible to save mail messages without the headers?

	2.18    How do I upgrade my ELM aliases from 2.3 to 2.4PL21 ?

	2.19	Elm seems to ignore HOME environment variable. Why?

	2.20    Sometimes Elm (PL < 21) seems to join two messages in one. Why?

	2.21	On SCO Xenix, all mail is from user anonymous. Why?

	2.22	Elm doesn't work on Next. Why?

	2.23    Compiling with Microsoft UNIX C Compilers won't work. Why?

	2.24    Various problems on Unix 286.

	2.25    Configure won't run on HP-UX. Why?

	2.26	Configure won't run on SCO XENIX 2.2.1. Why?

	2.27	Will Elm work on SGI Indigo?

	2.28	I have problems compiling elm2.4 on HP/Apollo

	2.29    I have problems compiling elm2.4 on IBM AIX

	2.30    Elm sends 'empty mail' on 386BSD: why?

	2.31	Why can't I get SGI to work for non ROOT?

	2.32    I have problems p)rinting messages in 2.4PL20

	2.33	Elm2.4 PL20 - 'x' key causes segmentation violation

	2.34	readmsg:illegal option -- I. Why?

	2.35    Forms don't work. Why?

	2.36	ELM does not recognize VMS mail. Why?

	2.37	Huge headers cause Memory Fault. Why?

	2.38	Can I use elm for posting and replying to news?

	2.39	Is there an Elm for DOS? If yes, where?

2.01	What is Elm?

	From Elm documentation:

        Currently on Unix, there seems to be a preponderence

	of line-oriented software.  This is most unfortunate as most

	of the software on Unix tends to be pretty darn hard to use!

	I believe that there is more than a slight correlation between

	the two, and, since I was myself having problems using

	"mailx" with high-volume mail, I created a new mail system.

        In the lingo of the mail guru, Elm is a "User Agent" system,

        it's designed to run with "sendmail" or "/bin/rmail" or any

	other UNIX Mail Transport Agent (according to what's on your

	system) and is a full replacement of programs like "/bin/mail"

	and "mailx".  The system is more than just a single program,

	however, and includes programs like "frm" to list a 'table

	of contents' of your mail, "printmail" to quickly paginate mail

	files (to allow 'clean' printouts), and "autoreply", a system-

	wide daemon that can autoanswer mail for people while they're

	on vacation without having multiple copies spawned on the system.

2.02	Which is Elm current version?

	Elm current version is 2.4 PatchLevel (PL) 21.

2.03	Where can I find the distribution?

	There's a list of sites distributing Elm at the bottom of this

        file (4.*     Archivers, what they archive, how to download.).

	In addition, new releases will be posted to comp.sources.unix,

	patches will be posted to comp.sources.bugs.

	After patches have been proven and out for a while, they will

	be posted to comp.sources.unix.

2.04	Where do I get the "Elm Reference Guide" and the other docs ?

        From the monthly posting:

        Elm has several documents (over 100 pages worth of doc)

        that were written to help users install, support and use Elm.

        These are in the doc directory of the source distribution.

        Contact your systems administrator for a copy of the documents.

        For those sites that do not have troff (either di-troff or

        o-troff) and do have postscript printers, dsinc (dsinc.dsi.com)

        has a copy of the docs already in postscript format available

        for anonymous uucp or ftp.

2.05    How to get frm(1L) to only show new mail?

	* Alan Thew ([email-masked]):

	Try the fromwho program which IMHO is better tham frm and

	allows you to type  "fromwho -n"  to show who has sent you

	new mail amd what the subject line is.

	Availabe from comp.sources.unix archives and needs an ANSI C compiler

	(but will build on Suns with "unproto" software).

	* Syd Weinstein ([email-masked]):

	Better answer:

        use nfrm, it will only show new mail.  nfrm is a link to frm.

        There are other command line options to show various restrictions

        see the frm(1) manual page.

        possible status limitations are new, unread and old or any combination

        of these.  typing frm -h yields:

	frm -- list from and subject lines of messages in mailbox or folder

	Usage: frm [-n] [-v] [-s {new|old|read}] [filename | username] ...

	option summary:

	-h      print this help message.

	-n      display the message number of each message printed.

	-Q      very quiet -- no output is produced.  This option allows shell

		scripts to check frm's return status without having output.

	-q      quiet -- only print summaries for each mailbox or folder.

	-S      summarize the number of messages in each mailbox or folder.

	-s	status only select messages with the specified status.

		'status' is one of "new", "old", "unread" (same as "old"),

		or "read".  The first letter need only be specified.

	-v      print a verbose header.

2.06    My incoming mailbox isn't /usr/mail/<logname>:

        how do I get ELM to read the correct mailbox?

	Elm uses the MAIL environment variable to read the correct

	mailbox.

2.07    How do I save a message without deleting it?

	C)opy it instead of s)aving.

2.08	How do I append a .signature?

	Jeff Zabek ([email-masked]) and

	the Elm documentation:

	Create a file called .signature.  Then in the .elm/elmrc file, find

	the following two lines:

	# local ".signature" file to append to appropriate messages...

	localsignature = .signature

			 ^^^^^^^^^^

	# remote ".signature" file to append to appropriate messages...

	remotesignature = .signature

			  ^^^^^^^^^^

	The parts marked by ^^^^^ are what you have to add in.  This can be

	any text file, but usually signatures are 4 lines or less.

2.09    Why do I get the remote signature on replies to local mail?

        From the monthly posting:

        In Elm 2.4, any address with an ! or @ in it is considered

        remote, without those characters, its local.

        Any reply is qualified to prevent alias expansion.  If you had

        an alias in your private Elm aliases that matched the name of a

        user on your system, but that alias did not point to that user,

        there would be no way to reply to the message.  It would end up

        going to the alias name, not the user that mailed you.  To

        prevent this, Elm fully qualifies (adds the site name) to a

        reply address.  This makes the simplistic signature detector

        think that the message is 'remote'. This is not slated to

        change until 3.0.

2.10	How can I get elm to NOT expand the alias list on outgoing msgs?

        From the monthly posting:

	Problem is if a list has, say, 100 names in it then sending to

	the list expands every single one of the 100 names. I would like

	the message to have the "To" line = the name of the list itself

	and have the actual recipients' names not appear.

        You can't and don't want to. (and yet you can also) An alias is

        a mechanism of making Elm address a message to multiple

        people.  However, when the message gets to its destination, Elm

        also has to allow that person do a group reply.  If the message

        only has your local private elm alias in it, the group reply

        will try and go to that alias name.  Unfortunately, that name

        is meaningless to that other person (its private to both Elm

        and you).

        There are two solutions:

        The preferred if replies are desired:

                Have your mail administrator create a file include

                alias for you in your MTA (sendmail, et al).. This is

                usually of the type

        alias   :include:/some/path/to/a/file

        where the file would be in a place you control and you have write

	access to the file.  Then you can add/drop members of the list, and

        the mail just goes to the alias, and, someone sending to

        [email-masked] will be able to send to all members. (group

        reply works correctly)

        The less preferred method: (no group reply is possible)

                Send the message to yourself, with a bcc to the Elm

                alias.

        Of course, the Bcc: won't be expanded by the MTA internal to

        the message, so it won't appear in the message.

2.11	How does one mark a message as urgent?

	David W. Tamkin ([email-masked]):

	Having an Action: header sets the recipient's A flag (if the recipient

	uses Elm); in 2.3 have a Priority: header set the U flag no matter what

	it said (even "Priority: none" or "junk" or "low").  In 2.4 there are

	certain precoded Priority: values that do not turn on the U flag

	[Can anyone supply a list?], but anything else will.

2.12    How can I get a line like "Quoting foo:" before a replied-to mail?

	Joshua A. Laff ([email-masked]):

	from $HOME/.elm/elmrc:

	# attribution string for replies ('%s' is the author of original

	# message)

	attribution = In our previous episode, %s said:

2.13	When I receive uudecoded files, can I tag files in the order

        I want and then uudecode them?

	* Alan Edmonds ([email-masked]):

	I save all of the items into a single folder,

	order not important (yet).  Bring up elm on the single folder.

	Go to the options screen and select "Sort by Subject."  Go back

	to the main screen.  All of the items are (usually) in the

	proper order.  I can then tag related messages and save them

	(in order) to another folder.  I then run

	'uucat new_folder | uudecode' to decode the pieces.  Works great.

	I can go back to the original folder if something gets messed up.

	I don't have to trim the headers out of each part (uucat does this),

	and elm figures out the order for me.

	(Ask Alan Edmonds for uucat source.)

	* Steve Faiwiszewski ([email-masked]):

	UUdecode expects to decode a single uuencoded file. It

	knows nothing about multiple parts, and certainly has no knowledge

	of the correct sequencing.

	Here's what I do:  Typically, I receive a multipart uuencoded file

	with the subject line of each msg containing the part number, so I can

	get the parts ordered properly by telling Elm to sort by Msg

	Subject.  I then save all the parts to a folder, and run it through

	this program I found a long time ago, called unpack (source follows).

	The neat thing about this program, is that you can append many

	uuencoded files to the same folder, and unpack will do the right

	thing - as long as all the parts are ordered correctly, and the

	"begin" line of each part 1 contains a unique file name.

	Invoke it like this: "unpack < foldername"

	I guess tagging and piping should work with it too.

	(Ask Steve Faiwiszewski for unpack source.)

2.14    Is there any way to bounce all the tagged messages, i.e.

	not having to bounce every message one by one?

	Chip Rosenthal ([email-masked]):

	Save the following to a script in your personal bin directory,

	say `bounce':

        : use /bin/sh

        : ${ELMSTATE?} ${1?}

        sed -n -e 's/^S//p' $ELMSTATE | while read mssgno ; do

                echo "Bouncing message $mssgno to $@ . . ."

                readmsg -a $mssgno | rmail $@

        done

	When you run:  !bounce addr ...

	then all of the tagged messages will be bounced to the indicated

	address(es). If no messages are tagged, then the currently selected

	message will be bounced.

2.15    Does ELM have MIME (metamail) support?

	MIME allows for sending and receiving of Messages compliant

	to the Multipurpose Internet Mail Extension (RFC 1341).

	MIME provides a way to attach binary, graphic, audio,

	video, postscript and other files. MIME doesn't necessarily

	need graphics capabilities on your display, but its useful.

	If you have intalled Nathaniel Borenstein's metamail package for

	displaying MIME messages, elm can make use of it.  If you didn't

	have metamail installed you might want to obtain a copy of it.

	The most recent version is on thumper.bellcore.com [128.96.41.1].

	Compiling of elm even with MIME support enabled would not

	depend on the metamail package. But you would not be able to

	use nearly all of the MIME features as long as you don't have

	metamail installed. Metamail with its companion programs

	(mmencode) must be installed somewhere in the search path,

	usually /usr/local/bin.

2.16    How not to include headers in outward bound mail?

	Problem:

	all outward bound mail still includes the following lines,

	even if I have the "noheader = ON" line in my .elmrc:

	X-Mailer: ELM [version 2.4 PL21]

	MIME-Version: 1.0

	Content-Type: text/plain; charset=US-ASCII

	Content-Transfer-Encoding: 7bit

	Content-Length: 67

	Syd Weinstein ([email-masked]):

	"noheader = ON" means when the message is copied into the buffer

	for a reply or forward.

	The "X-Mailer:" header is controlled at Configure time.  There

	is a compile time option to produce or not produce it.

	The three "Content-*" headers are always going to be produced by 2.4.

2.17    Is it possible to save mail messages without the headers?

	* Chip Rosenthal ([email-masked]):

	Use: !readmsg -n >filename

	If you want to save a few keystrokes, you can encapsulate this

	in a shell script to go in your personal bin directory.

	* Syd Weinstein ([email-masked]):

	Note that some of the newer features of readmsg are only

	available in later 2.4 releases

2.18    How do I upgrade my ELM aliases from 2.3 to 2.4PL21 ?

        Syd Weinstein ([email-masked]):

	All I did, was make sure 2.4 as installed, and then had each

	user run newalias and I ran newalias -g.  The aliases.text

	file is upwards compatible.  The old newalias converted

	aliases.text to aliases.data and aliases.hash the 2.4 newalias

	converts aliases.text to aliases, aliases.dir and aliases.pag.

	If you don't have those three new files, you didn't install

	2.4 correctly and are still running 2.3's newalias.

2.19	Elm seems to ignore HOME environment variable. Why?

        Syd Weinstein ([email-masked]):

	This is a feature.  Elm ignores $HOME, so that when su'd you read

	the right mail file.  Its a choice of one or the other and we chose

	to allow su over $HOME.

2.20    Sometimes Elm (PL < 21) seems to join two messages in one. Why?

        Syd Weinstein ([email-masked]):

	Early versions of Elm 2.4 had a problem with messages with bad content

	length headers. I'd update to a more recent version when 21 comes out

	in a bit.

	Compiler's Note: now 21 is out. I chose to report this Question

	as it is so a strange behaviour (mail still reads the mailbox

	correctly) a person can get mad about it :)

2.21	On SCO Xenix, all mail is from user anonymous. Why?

	From Elm README:

        On SCO Xenix, if you are all mail is from user anonymous,

	this is because the mail delivery agent should be

	/usr/lib/mail/execmail instead of /usr/bin/rmail or /bin/rmail.

2.22	Elm doesn't work on Next. Why?

	The complete NeXT document by [email-masked] is

	available via anon ftp from: yak.macc.wisc.edu [144.92.30.18]

	and via e-mail from me ([email-masked])

2.23    Compiling with Microsoft UNIX C Compilers won't work. Why?

	Thomas Bullinger ([email-masked]):

	On many systems with the Microsoft UNIX C Compilers (such as SCO),

	compiling with optimization breaks the code.  One symptom is

	that aliases do not work.

	On those machines do not compile any of Elm with optimizations.

	To accomplish that, set all occurences of "OPTIMZE" in the

	makefiles to "-Od" - then it works.

2.24    Various problems on Unix 286.

	From Elm README:

        On some systems, especially those based on the AT&T Port to

	286's the -O flag of the compiler produces improper code causing

	segmentation violations.  If this happens, recompile the code without

	the -O flag.  This has been seen with Microport SysV/AT type systems.

        The Configuration script has been known to exceed the default

	stack size in Unix 286 sh's.  If Configure does not run correctly on

	this type of machine increase the stack size and rerun it.  On

	Microport SysV/AT machines, Configure might run correctly under ksh.

	Obtain ksh from Microport (available to current version owners without

	additional charge) and rerun Configure using it.

        Also on Microport SysV/AT Machines, the C compiler produces

	improper code for one of the arithmetic calls.  To fix this

	problem it is necessary to reduce the complexity of the

	statement, as reported by one of our testers here is the

	symptom and his patch.  Being this is a compiler bug on only

	one system, we make the information available, but not incorporate

	it in the main release.  Note, this may effect other areas

	of Elm, and in the future, Microport may even fix this problem.

	[Read the README file for the patches]

2.25    Configure won't run on HP-UX. Why?

        From Elm README:

        The Configuration script has been known to exercise an old bug

	on HP-UX's version of /bin/sh.  This shows up as part of the variable

	setting section showing up on your screen, and configure aborting

	on errors.  If this happens, try using ksh instead of sh as in:

		ksh Configure

	this will usually solve the problem.

2.26	Configure won't run on SCO XENIX 2.2.1. Why?

	Keith Brazington ([email-masked]):

	The solution is simple, up the stack size for /bin/sh. I used 

	# mv /bin/sh /bin/sh.old

	# cp /bin/sh.old /bin/sh

	# fixhdr -F 8000 /bin/sh

	This may seem a bit over the top, but I put it back after!

2.27	Will Elm work on SGI Indigo?

        Syd Weinstein ([email-masked]):

	Well, I had no problems at all configuring and running Elm

	on my SGI Iris under 4.0.5.

	The biggie for SGI is to say Elm is a non ansi application,

	so you need to  list -cckr as an additional compilation flag.

	I took all the defaults from configure and it ran just fine.

2.28	I have problems compiling elm2.4 on HP/Apollo

	Gordon D. Berkley ([email-masked]):

	As of ELM2.4pl17, The system compiles cleanly (?) for Apollo.

	This patch level includes many "fixes" that I submitted to ensure

	this.  There *are* many compilor warnings, but they can safely

	be ignored.

	I would suggest discarding any config.sh from a previous Configure,

	though, as this will cause the corrections to NOT work.

2.29    I have problems compiling elm2.4 on IBM AIX

	* Steve Adams ([email-masked]):

	>I am trying to compile the latest and greatest version of ELM on my

	>RS/6000 running 3.2.? (exact level unclear). I received the following

	>error messages about setgid being redefined:

	>

	>"init.c", line 128.16: 1506-132 (S) Function getgid cannot be

	>redeclared.

	>"init.c", line 128.26: 1506-132 (S) Function getuid cannot be

	>redeclared.

	You can get around the problem defining -U__STR__ during 'Configure'

	It will be fixed in PL22.

	* From the monthly posting:

        This version of Elm 2.4 should not require any changes

        to the configure run to link under AIX 3.2 or newer.

	On IBM RISC 6000 AIX, prior to 3.2, you might get string

        function errors on the compile.

	The solution is to do the following:

	Look at /usr/lpp/bos/bsdsport. It tells you to add

	following lines to /etc/xlc.cfg:

		* BSD 4.3 c compiler stanza

		bsdcc:  use        = DEFLT

			crt        = /lib/crt0.o

			mcrt       = /lib/mcrt0.o

			gcrt       = /lib/gcrt0.o

			libraries  = -lbsd, -lc

			proflibs   = -L/lib/profiled,-L/usr/lib/profiled

			options    = -H512,-T512, -qlanglvl=extended, -qnoro,

				     -D_BSD, -D_NONSTD_TYPES, -D_NO

        And then link bsdcc to xlc and use bsdcc instead of cc.

	In addition, Elm should be linked with the curses lib

	and not termcap lib if /etc/termcap is not there.

	(You can always copy the termcap database to etc

	(or make a symlink)).

2.30    Elm sends 'empty mail' on 386BSD: why?

	* From the monthly posting:

	On 386bsd, the shell that is shipped with the system,

	ash, does not work for sending messages within Elm.  Mail

	messages have headers only and no body.  Replacing the shell

	with bash (from GNU) seems to solve the problem.  The bash

	shell is in the 'etc' distribution of 386BSD.

	* Another solution if you can't get a fixed shell

	is to change line 520 in mailmsg2.c to:

	sprintf(very_long_buffer,"( (%s %s %s < %s ; %s %s) & )",

		mailer, mailerflags, expanded_to, whole_msg_file,

		remove_cmd, whole_msg_file);

2.31	Why can't I get SGI to work for non ROOT?

        From the monthly posting:

        SGI, at 3.3, doesn't have vfork, but instead a stub that does

        not work.  Make sure vfork is undef in the configuration.

2.32    I have problems p)rinting messages in 2.4PL20

	When I try and print a message, I get

	"readmsg: Cannot find start of selected message". Why?

	Chip Rosenthal ([email-masked]):

	Please take a look at the From_ line of the message you are trying to

	print.  I'm going to guess that it has a complex address, maybe with

	some quoting or special characters, or maybe a strange date syntax.

	The utilities in the current Elm release (including `readmsg') use

	very simpleminded routines to crack the From_ lines.  Some headers

	that Elm handles fine confuse these utilities.  One of the larger

	changes in the next Elm update will be moving all of the From_ and

	~Date: processing out of the main Elm code and into the library, so

	the utilities (including `readmsg') will use the same algorithms as

	Elm.

	If you look at the From_ line and it doesn't seem particularly

	unusual, feel free to drop me a line.  Most of the changes to

	readmsg and Elm printing came from my hands, and I'm working on

	the aforementioned changes too.  If there is something else broke

	in there, I'd be glad to look at it.

2.33	Elm2.4 PL20 - 'x' key causes segmentation violation

	Nigel Metheringham ([email-masked]):

	in the file src/exitprog.c, there is a line

	    char *msg, answer;

	replace it with

	    char msg[SLEN], answer;

2.34	readmsg:illegal option -- I. Why?

	Chip Rosenthal ([email-masked]):

	It means you installed an updated `elm' binary but continue

	to use an old version of `readmsg'.

2.35    Forms don't work. Why?

	Syd Weinstein ([email-masked]):

	If you have `forms = ON' in elmrc, Forms is there, but

	the menu items to make a form require that user level

	be set off beginner.  (anything but 0 (beginner))

2.36	ELM does not recognize VMS mail. Why?

	* This is fixed in Pl22.

	* Syd Weinstein ([email-masked]):

	Looks to me like you found a bug in Elm's quote parsing routines.

	It just needs to be looked into.

	Reported from: Steen Hammerum ([email-masked])

2.37	Huge headers cause Memory Fault. Why?

	Syd Weinstein ([email-masked]):

	Any part of Elm at the 2.x level will abort if given a header line

	that is too long.  It uses fixed length buffers, and at some point

	they overflow, and none too gracefully.

	3.x will support dynamic strings to solve this problem.

2.38	Can I use elm for posting and replying to news?

	* Andreas Spiegl ([email-masked]):

	In order to set things up so elm is your mailer when you

	respond r or R to a news article in rn or trn, define an

	environment variable RNINIT that points to an initialization

	file for rn/trn. E.g. .rnrc

	Then put the following line in this file (.rnrc):

	-EMAILPOSTER="elm -i %h -s \"Re: %S\" %t"

	This is from now on telling rn to start elm with the appropriate

	parameters whenever you reply to an article and works great.

	But:  --> This is not for followup postings on the usenet! <--

	If you want to use elm in order to post article, you'd need a

	line with -ENEWSPOSTER instead of -EMAILPOSTER. Then you would

	tell elm (once it was evoked by rn/trn) that you want to send

	this to [email-masked],

	for example use "[email-masked]". This will post

	your email message to the usenet.

	This is not very convenient though, as you have to convert the

	address manually. Unless you write a nice script for it, of course.

	Be sure to send me a copy if you do. :-)

	* Mike O'Connor ([email-masked]):

	Of course, the DEC gateway allows one to gateway email to Usenet with

	email addresses of the following format:

	[email-masked]

	and has the additional advantage that they carry a LOT of the regional

	newsgroups.

	I still think piping it to sendmail with a macro for R is the way to

	go.  This allows you to use the mailer of your choice, be it elm or

	pine or Berkeley Mail or Z-Mail or whatever.  This gets it into your

	/usr/spool)/mail or /usr/mail or /var/mail or wherever.

2.39	Is there an Elm for DOS? If yes, where?

	Mike O'Connor ([email-masked]):

	There is a package called PC-Elm that's an imitation of Elm (i.e. it

	didn't come from Elm's source tree). It's available for anonymous FTP

	from oak.oakland.edu:/pub/msdos/ka9q-tcpip/, but it's supposed to

	interoperate with UUPC and possibly other common PC UUCP mailers.

3.0	Bugs list

	This list is included for completeness in the ftp version only.

	please, ftp to ghost.dsi.unimi.it as stated at the beginning

	of this FAQ to get it.

	You can get it via a mail server,too:

	Syd Weiunstein ([email-masked]):

	The script I use to get it is:

		smail [email-masked] <<\!

		Subject: command

		@SH elmbugs [email-masked]

		!

4.0     Archivers

	This is the list of Internet and UUCP sites distributing

	the latest version of Elm, from the Elm monthly posting.

4.0.1   The following sites have agreed to make Elm available

	via anonymous ftp.

        Site                    Contact

        In the US/Canada:

        wuarchive.wustl.edu     David J. Camp, [email-masked]

        (128.252.135.4)

        /mirrors/elm

        ftp.uu.net

        (137.39.1.9, 192.48.96.9)

        /networking/mail/elm

        In Europe:

	ftp.cs.ruu.nl           Edwin Kremer, [email-masked]

        (131.211.80.17)

        /pub/ELM-2.4

	ftp.th-darmstadt.de     [email-masked]

	(130.83.55.75)

	/pub/networking/mail/elm

        In the UK:

        uk.ac.soton.ecs         [email-masked] (bitnet)

        (152.78.64.201)         [email-masked] (JANET)

        ftp.demon.co.uk         Cliff Stanford, [email-masked]

        (158.152.1.65)

        /pub/unix/mail/elm

        In Australia:

        ftp.adelaide.edu.au     Mark Prior, [email-masked]

        (129.127.40.3)

        /pub/mailers

        In Taiwan:

        NCTUCCCA.edu.tw         Huang, Chih-Hsien [email-masked]

        (140.111.3.21)

        /packages/mail/elm

4.0.2	The following sites have agreed to make Elm available

	via anonymous uucp:

        Site                    Contact

        uunet                   Elm is /networking/mail/elm

        dsinc                   Syd Weinstein

                                [email-masked], dsinc!syd

                                note: anon uucp info changed 12/16/91

                                For further info, send an e-mail

                                message to [email-masked] stating:

                                send anon how-to dir

        stanton                 Steven P. Donegan

                                [email-masked], stanton!donegan 

                                714-894-2246 uucp - nuucp no word

                                Elm is /u/public/elm2.3.tar.Z

----------------------

*** END of Elm FAQ *** This file has not been truncated

-- 

------------------------------------------ Piero Serini -----------

Computer Science Dept.            E-mail: [email-masked]   

Univ. Statale - Milano - ITALY    or: [email-masked]

--------------- Public Key available via finger(1) ----------------

.